%define upstream_name    JSON-Tiny
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Minimal JSON, no dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
the JSON::Tiny manpage is a standalone adaptation of the Mojo::JSON
manpage, from the fabulous the Mojolicious manpage "web in a box" framework
(version 3.43). It has been adapted as a single-source-file module of about
345 lines of code with core-only dependencies.

Mojo::JSON was chosen as a starting point because it is so light-weight to
begin with, robust, relaxed, and well tested. Furthermore, Mojo::JSON's
tests were able to be adapted as easily as the module itself to a no
non-core dependency configuration.

Most of the remainder of this document is adapted directly from the
Mojo::JSON manpage. The names have been changed to protect the innocent.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 368798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 316052
- update to 0.22

* Mon Oct 15 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 306139
- update to 0.20

* Fri Oct 05 2012 jquelin <jquelin> 0.10.0-2.mga3
+ Revision: 302915
- rebuild since bs ate previous submission, nom-nom-nom

* Fri Oct 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 302897
- imported package perl-JSON-Tiny

